## ros-humble-plansys2-terminal 2.0.9

=== debian/changelog ===
ros-humble-plansys2-terminal (2.0.9-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 09 Jul 2022 22:00:00 -0000

ros-humble-plansys2-terminal (2.0.8-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 03 May 2022 22:00:00 -0000

ros-humble-plansys2-terminal (2.0.7-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 03 May 2022 22:00:00 -0000

ros-humble-plansys2-terminal (2.0.6-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 02 May 2022 22:00:00 -0000

ros-humble-plansys2-terminal (2.0.5-1jammy) jammy; urgency=high

  * Fix ROS2 Buildfarm error due to Threads
  * Contributors: Francisco Martín Rico, Jake Keller, Marco Roveri

 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 02 May 2022 22:00:00 -0000

ros-humble-plansys2-terminal (2.0.4-1jammy) jammy; urgency=high

  * Fix version
  * Fix ROS2 Buildfarm error due to Threads
  * Merge branch 'IntelligentRoboticsLabs:master' into master
  * Merge pull request #213 <https://github.com/IntelligentRoboticsLabs/ros2_planning_system/issues/213> from roveri-marco/fix_issue_predicate_no_args_in_terminal
    Fix for issue #212 <https://github.com/IntelligentRoboticsLabs/ros2_planning_system/issues/212> - predicate with no args
  * Fix for issue #212 <https://github.com/IntelligentRoboticsLabs/ros2_planning_system/issues/212> - predicate with no args
  * Merge branch 'IntelligentRoboticsLabs:master' into master
  * Contributors: Francisco Martín Rico, Jake Keller, Marco Roveri

 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 02 May 2022 22:00:00 -0000

ros-humble-plansys2-terminal (2.0.3-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 02 Apr 2022 22:00:00 -0000

ros-humble-plansys2-terminal (2.0.2-1jammy) jammy; urgency=high

  * Made latest modifications reentrant without the use of global variables
  * Renamed planfrom to plan-file, added help for help
  * Added tests for source and run planfrom, cleaned code to have all the test to pass
  * Fixed recursive load, added command run planfrom to read a plan from file and execute it
  * Initial preliminary support for help and load new commands
  * Fix run entire plan
  * Add options to run command
  * Add action failure details to ExecutorClient
  * Contributors: Francisco Martín Rico, Jake Keller, Josh Zapf, Marco Roveri

 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 02 Apr 2022 22:00:00 -0000

ros-humble-plansys2-terminal (2.0.1-1jammy) jammy; urgency=high

  * Translate error message to English
  * Merge galactic-devel
  * Contributors: Francisco Martín Rico, Ricardo Marques

 -- Francisco Martin Rico <fmrico@gmail.com>  Wed, 02 Feb 2022 23:00:00 -0000

ros-humble-plansys2-terminal (2.0.0-1jammy) jammy; urgency=high

  * Fix compile issues for galactic
  * Compile for ROS2 Galactic
  * Contributors: Francisco Martín Rico, Jonatan Olofsson, bjnjo

 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 03 Jul 2021 22:00:00 -0000

ros-humble-plansys2-terminal (1.0.10-1jammy) jammy; urgency=high

  * Revert wrong directory move
  * Remove node parameter in client constructors
  * Enabling code coverage of plansys2_terminal::Terminal node init functions.
  * Adding unit tests for new functions in plansys2_terminal.
  * Add ability to read in pddl problem files to plansys2 and a new AddProblem service to the plansys2_problem_expert.
    Adding problem_file node parameter to plansys2_problem_expert to load a single problem file at launch.
  * ros2-plan-msg: Passing plan to executor to add further separation between plan creation and plan execution.
  * Linting
  * Fix set predicates with no arguments
  * Suggestion for #118 <https://github.com/IntelligentRoboticsLabs/ros2_planning_system/issues/118>
  * pddl-tree-messages: Performing some minor cleanup.
  * pddl-tree-messages: Using explicit specifier for single parameter constructors in plansys2_core/Types.hpp.
  * pddl-tree-messages: Replacing user access function calls with shorter versions where possible.
  * pddl-tree-messages: Updating addInstance and removeInstance calls to use helper classes.
  * pddl-tree-messages: Merging upstream master and resolving conflicts.
  * pddl-tree-messages: Using ROS messages to define the PDDL construct trees.
  * Fix tests and linting
  * Update version
  * Contributors: Alexander Xydes, Francisco Martín Rico, Josh Zapf

 -- Francisco Martin Rico <fmrico@gmail.com>  Fri, 02 Jul 2021 22:00:00 -0000

ros-humble-plansys2-terminal (1.0.9-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 14 Mar 2021 23:00:00 -0000

ros-humble-plansys2-terminal (1.0.8-1jammy) jammy; urgency=high

  * Action execution refactoring
  * Add support for numeric conditions and effects.
  * Monitorization info
  * fix minor typo
  * Adding actor checker in terminal
  * Remove debugging traces
  * Fix the call of the get_problem_instance service
  * Contributors: Fabrice Larribe, Francisco Martin Rico, Josh Zapf

 -- Francisco Martin Rico <fmrico@gmail.com>  Thu, 11 Mar 2021 23:00:00 -0000

ros-humble-plansys2-terminal (1.0.7-1jammy) jammy; urgency=high

  * Making explicit dependencies
  * Contributors: Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 03 Jan 2021 23:00:00 -0000

ros-humble-plansys2-terminal (1.0.6-1jammy) jammy; urgency=high

  * Disable boost functions
  * Contributors: Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 28 Dec 2020 23:00:00 -0000

ros-humble-plansys2-terminal (1.0.5-1jammy) jammy; urgency=high

  * Migration to c++17
  * Contributors: Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 27 Dec 2020 23:00:00 -0000

ros-humble-plansys2-terminal (1.0.4-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Wed, 23 Dec 2020 23:00:00 -0000

ros-humble-plansys2-terminal (1.0.3-1jammy) jammy; urgency=high




